Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.portlet
Enum TransportGuarantee

    java.lang.Object
      java.lang.Enum<TransportGuarantee>
          org.jboss.portal.portlet.TransportGuarantee

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TransportGuarantee>

    public enum TransportGuarantee

extends java.lang.Enum<TransportGuarantee>

Type safe enumeration class for transport guarantee.

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Enum Constant Summary
`CONFIDENTIAL`
`INTEGRAL`
`NONE`

Method Summary
`static TransportGuarantee` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TransportGuarantee[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final TransportGuarantee NONE

### INTEGRAL

    public static final TransportGuarantee INTEGRAL

### CONFIDENTIAL

    public static final TransportGuarantee CONFIDENTIAL

Method Detail

### values

    public static final TransportGuarantee[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TransportGuarantee c : TransportGuarantee.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TransportGuarantee valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.